import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //查询学员学习记录列表
    gradegradelistUserStudyRecord(data) {
        return request({
            url: '/grade/grade/listUserStudyRecord',
            method: 'get',
            params: data
        })
    },
    //导出学员学时列表
    inquireGradegradeListexport(data) {
        return request({
            url: '/grade/grade/export',
            method: 'get',
            params: data
        })
    },
    //选新班
    gradegradechangeGrade(data) {
        return request({
            url: '/grade/grade/sysChangeGrade',
            method: 'post',
            data
        })
    },
    //新增班级
    appGradegrade(data) {
        return request({
            url: '/grade/grade',
            method: 'post',
            data
        })
    },
    //修改班级
    editGradegrade(data) {
        return request({
            url: '/grade/grade/edit',
            method: 'post',
            data
        })
    },
    //学员进入新的班级
    editGradeUserGrade(data) {
        return request({
            url: '/grade/grade/addUserGrade',
            method: 'post',
            data
        })
    },
    //修改学员记录
    editGradeUserGradegrade(data) {
        return request({
            url: '/grade/grade/editGradeUser',
            method: 'post',
            data
        })
    },
    //查询班级列表
    inquireGradegradeList(data) {
        return request({
            url: '/grade/grade/list',
            method: 'get',
            params: data
        })
    },
    //查询班级学员列表
    inquireGradegradelistGrade(data) {
        return request({
            url: '/grade/grade/listGrade',
            method: 'get',
            params: data
        })
    },
    //导出班级学员列表
    inquireGradegradeexportGrade(data) {
        return request({
            url: '/grade/grade/exportListGrade',
            method: 'get',
            params: data
        })
    },
    //查询学员学时列表
    inquireGradegradelistUserPeriod(data) {
        return request({
            url: '/grade/grade/listUserPeriodRecord',
            method: 'get',
            params: data
        })
    },
    //查询学员学时列表s
    inquireGradegradelistUserPeriods(data) {
        return request({
            url: '/grade/grade/listUserPeriod',
            method: 'get',
            params: data
        })
    },
    //获取班级详细信息
    obtainGradegrade(data) {
        return request({
            url: `/grade/grade/` + data,
            method: 'get',
        })
    },
    //查询官方接口
    inquirelistInterfaceVo(data) {
        return request({
            url: '/grade/grade/listInterfaceVo',
            method: 'get',
            params: data
        })
    },
    //是否出现官方接口选择
    inquirelistInterfaceVoselect(data) {
        return request({
            url: '/grade/grade/select',
            method: 'get',
            params: data
        })
    },
    //查询学员记录列表
    inquireGradegradelistUserList(data) {
        return request({
            url: '/grade/grade/listUser',
            method: 'get',
            params: data
        })
    },
    //查询学员学时信息列表
    inquireGradegradelistUserlistPeriod(data) {
        return request({
            url: '/grade/grade/listPeriod',
            method: 'get',
            params: data
        })
    },
    //查询班主任记录列表
    inquireGradegradelistSysList(data) {
        return request({
            url: '/grade/grade/listSys',
            method: 'get',
            params: data
        })
    },
    //学时审核
    inquireGradegradelistPeriodAudit(data) {
        return request({
            url: '/grade/grade/listPeriodAudit',
            method: 'get',
            params: data
        })
    },
    //锁定学时审核页面
    inquireGradegradelockPeriod(data) {
        return request({
            url: '/grade/grade/lockPeriod',
            method: 'post',
            data
        })
    },
    //查看学时审核锁定状态
    inquireGradegradelockPeriodStatus(data) {
        return request({
            url: '/grade/grade/lockPeriodStatus',
            method: 'post',
            data
        })
    },
    //学时审核獲得商品節下面的審核記錄
    inquireGradegradelistPeriodAuditStatus(data) {
        return request({
            url: '/grade/grade/listPeriodAuditStatus',
            method: 'get',
            params: data
        })
    },
    //是否出现官方按钮选择 1无官方接口按钮 2只有官方推送 3都有
    inquireGradegradelistselectButton(data) {
        return request({
            url: '/grade/grade/selectButton',
            method: 'get',
            params: data
        })
    },

    //更改审核状态
    editGradeUsereditPeriode(data) {
        return request({
            url: '/grade/grade/editPeriod',
            method: 'post',
            data
        })
    },
    //更改全部待审核状态
    editGradeUsereditPeriodeAll(data) {
        return request({
            url: '/grade/grade/editPeriodAll',
            method: 'post',
            data
        })
    },
    //批量打回待审核状态
    editGradeUsereditrollbackPeriod(data) {
        return request({
            url: '/grade/grade/rollbackPeriod',
            method: 'post',
            data
        })
    },
    //学时通过确认
    editGradeUsereditrollconfirmPeriod(data) {
        return request({
            url: '/grade/grade/confirmPeriod',
            method: 'post',
            data
        })
    },
    //批量官方信息推送
    editGradeUsereditpushInfo(data) {
        return request({
            url: '/grade/student/pushInfo',
            method: 'post',
            data
        })
    },
    //批量学时信息推送
    editGradeUsereditpushPeriod(data) {
        return request({
            url: '/grade/student/pushPeriod',
            method: 'post',
            data
        })
    },
    //查询班级信息推送数量
    inquireGradegradeofficialInfoCount(data) {
        return request({
            url: '/grade/grade/officialInfoCount',
            method: 'get',
            params: data
        })
    },
    //查询班级学时推送数量
    inquireGradegradeofficialPeriodCount(data) {
        return request({
            url: '/grade/grade/officialPeriodCount',
            method: 'get',
            params: data
        })
    },
    //批量官方信息推送
    gradesendCode(data) {
        return request({
            url: '/grade/grade/sendCode',
            method: 'post',
            data
        })
    },
    //数据批量同步到官方系统
    gradeOpenQdyAccount(data) {
        return request({
            url: '/grade/grade/OpenQdyAccount',
            method: 'post',
            data
        })
    },
    //查询其他平台班级学员列表
    inquireGradegradeotherClassuser(data) {
        return request({
            url: '/grade/grade/other/Class/user',
            method: 'get',
            params: data
        })
    },
    //获取平台列表
    inquiresystemoldorglist(data) {
        return request({
            url: '/system/old/org/list',
            method: 'get',
            params: data
        })
    },
    //导出班级学员列表
    inquireGradegradeotherClassuserexport(data) {
        return request({
            url: '/grade/grade/other/Class/user/export',
            method: 'get',
            params: data
        })
    },
    
    
}